Description

This is a guide on setting up Zimbra 8.7 from source on FreeBSD 10.

WARNING: As of writing this guide ZCS 8.7 is still in beta and | will be pulling the latest code from Zimbra straight from the tap. Your
mileage may vary.

Prepare the Environment

e Make sure the system is up to date and refresh the ports tree:

pkg update && pkg upgrade
portsnap fetch extract

e |nstall a few dependencies:

pkg install git screen bash

e Create a zimbra group:

pw add group zimbra

e Create a zimbra user:

pw add user -n zimbra -m -s /usr/local/bin/bash -c "Zimbra"

Build the Zimbra from source:

e Since downloading the source code takes a long time depending on the internet connection used, using screen or tmux will
help:

Screen

o Download the current release of Zimbra:

mkdir ~/git
cd ~/git
git clone -b judaspriest-foss https://git.zimbra.com/repos/zimbra-foss/.git

o NOTE: This took around 14GB of storage, so be forewarned.
o NOTE: Use CTRL+D and then D to detach the screen session.

Resources

e https://wiki.zimbra.com/wiki/Building_Zimbra_using_Git

History

#1 - 05/03/2016 05:30 PM - Daniel Curtis
- Description updated

- % Done changed from 0 to 10

#2 - 05/04/2016 03:49 PM - Daniel Curtis
- Description updated
- Status changed from New to In Progress

- % Done changed from 10 to 30

#3 - 05/04/2016 08:49 PM - Daniel Curtis

- Description updated

#4 - 05/05/2016 01:46 PM - Daniel Curtis
- % Done changed from 30 to 10
- Subject changed from Install Zimbra 9 on FreeBSD to Install Zimbra 8.7 on FreeBSD

- Description updated

#5 - 12/29/2016 07:41 PM - Daniel Curtis

- Status changed from In Progress to Suspended
